package com.hfkj.service.sec;

import com.hfkj.entity.SecRoleMenuRel;

import java.util.List;

/**
 * @className: SecRoleMenuRelService
 * @author: HuRui
 * @date: 2024/3/26
 **/
public interface SecRoleMenuRelService {

    /**
     * 批量增加
     * @param dataList
     */
    void batchAdd(List<SecRoleMenuRel> dataList);

    /**
     * 删除
     * @param relId 关系id
     */
    void delete(Long relId);

    /**
     * 删除
     * @param roleId 角色id
     */
    void deleteByRole(Long roleId);

    /**
     * 查询角色菜单关系
     * @param roleId 角色id
     * @return
     */
    List<SecRoleMenuRel> getRelListByRole(Long roleId);

    /**
     * 查询角色菜单关系
     * @param menuId 菜单id
     * @return
     */
    List<SecRoleMenuRel> getRelListByMenu(Long menuId);

}
